# Generated by Django 3.1.7 on 2021-05-05 07:45

import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        (
            "elections2021",
            "0004_elections2021programpage_elections2021programpointpage",
        ),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="elections2021programpointpage",
            options={"verbose_name": "Programový bod"},
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_childless",
            field=models.IntegerField(default=0, verbose_name="váha bezdětní"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_countryside",
            field=models.IntegerField(default=0, verbose_name="váha regiony"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_culture",
            field=models.IntegerField(default=0, verbose_name="váha kultura"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_education",
            field=models.IntegerField(default=0, verbose_name="váha vzdělávání"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_health",
            field=models.IntegerField(default=0, verbose_name="váha zdraví"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_housing",
            field=models.IntegerField(default=0, verbose_name="váha bydlení"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_mature",
            field=models.IntegerField(default=0, verbose_name="váha zralí"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_agriculture",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo zemědělství"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_business",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo průmyslu a obchodu"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_countryside",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo pro místní rozvoj"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_culture",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo kultury"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_defense",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo obrany"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_environment",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo životního prostředí"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_finances",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo financí"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_foreign",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo zahraničních věcí"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_health",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo zdravotnictví"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_interior",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo vnitra"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_justice",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo spravedlnosti"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_schools",
            field=models.IntegerField(
                default=0,
                verbose_name="váha ministerstvo školství, mládeže a tělovýchovy",
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_social",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo práce a sociálních věcí"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_ministry_transport",
            field=models.IntegerField(
                default=0, verbose_name="váha ministerstvo dopravy"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_nature",
            field=models.IntegerField(default=0, verbose_name="váha příroda"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_parents",
            field=models.IntegerField(default=0, verbose_name="váha rodiče"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_plan_climate",
            field=models.IntegerField(default=0, verbose_name="váha plán klima"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_plan_corruption",
            field=models.IntegerField(
                default=0, verbose_name="váha protikorupční strategie"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_plan_countryside",
            field=models.IntegerField(
                default=0, verbose_name="váha plán rozvoj regionů"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_plan_digital",
            field=models.IntegerField(
                default=0, verbose_name="váha digitalizace státu"
            ),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_plan_economics",
            field=models.IntegerField(default=0, verbose_name="váha moderní ekonomika"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_plan_management",
            field=models.IntegerField(default=0, verbose_name="váha plán řízení státu"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_self_employed",
            field=models.IntegerField(default=0, verbose_name="váha OSVČ"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_seniors",
            field=models.IntegerField(default=0, verbose_name="váha senioři"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_socially_weak",
            field=models.IntegerField(default=0, verbose_name="váha sociálně slabí"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_sport",
            field=models.IntegerField(default=0, verbose_name="váha sport"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_students",
            field=models.IntegerField(default=0, verbose_name="váha studenti"),
        ),
        migrations.AddField(
            model_name="elections2021programpointpage",
            name="weight_working_seniors",
            field=models.IntegerField(default=0, verbose_name="váha pracující senioři"),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="faq",
            field=wagtail.fields.StreamField(
                [
                    (
                        "question",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "question",
                                    wagtail.blocks.CharBlock(label="otázka"),
                                ),
                                (
                                    "answer",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                        ],
                                        label="odpověď",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="FAQ",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="related_points",
            field=wagtail.fields.StreamField(
                [
                    (
                        "point",
                        wagtail.blocks.PageChooserBlock(
                            label="programový bod",
                            page_type=["elections2021.Elections2021ProgramPointPage"],
                        ),
                    )
                ],
                blank=True,
                verbose_name="související body",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="time_horizon_number",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="časový horizont číslo"
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="time_horizon_text",
            field=wagtail.fields.RichTextField(
                blank=True, null=True, verbose_name="časový horizont textově"
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="time_horizon_unit",
            field=models.CharField(
                choices=[("years", "roky"), ("months", "měsíce")],
                default="years",
                max_length=6,
                verbose_name="časový horizont jednotka",
            ),
        ),
    ]
